Error message when trying to install plug-ins

Creating and modifying plugins.
Post Reply
Carl @ ATS
Regular
Posts: 55
Joined: Fri Jun 07, 2013 11:41 am
Location: Fürstenfeldbruck, Germany
Contact:

Error message when trying to install plug-ins

Post by Carl @ ATS » Mon Nov 25, 2013 4:41 pm

Hi,

I'd like to install some plug-ins on my s9y blog (anti-spam plug-ins, to be precise), but keep on getting this error message:

"Cannot write to directory /www/.../.../blog//plugins/. Please check the permissions."

For some reason, there's a // between the word "blog" and "plugins", which doesn't make sense as my blog doesn't have that structure; the only path that is similar to that has one slash, not two.

I've loosened the permission for accessing the plug-ins directory to 1775 since the error message also seemed to be referring to that, but that hasn't helped, so something else is wrong, I reckon. Any ideas, please?

Regards,

Carl

User avatar
garvinhicking
Core Developer
Posts: 30020
Joined: Tue Sep 16, 2003 9:45 pm
Location: Cologne, Germany
Contact:

Re: Error message when trying to install plug-ins

Post by garvinhicking » Mon Nov 25, 2013 4:59 pm

Hi!

You need to make sure the PHP user can write. 1775 might not help if your FTP user is not the same like PHP. 0777 should work in every case, stricter permissions need to adapt to your setup, there is no general solution other than 0777...

HTH,
Garvin
# Garvin Hicking (s9y Developer)
# Did I help you? Consider making me happy: http://wishes.garv.in/
# or use my PayPal account "paypal {at} supergarv (dot) de"
# My "other" hobby: http://flickr.garv.in/

Carl @ ATS
Regular
Posts: 55
Joined: Fri Jun 07, 2013 11:41 am
Location: Fürstenfeldbruck, Germany
Contact:

Re: Error message when trying to install plug-ins

Post by Carl @ ATS » Mon Nov 25, 2013 5:18 pm

Thanks for responding so quickly, Garvin. 0777 works! :-)

Regards,

Carl

Post Reply